%define section		free

Name:		libnb-svnClientAdapter
Version:	6.1
Release:	%mkrel 4
Epoch:		0
Summary:        Subversion Client Adapter
License:        Apache License
Url:            http://subversion.netbeans.org/teepee/svnclientadapter.html
Group:          Development/Java
Source0:        http://subversion.netbeans.org/files/documents/193/1800/svnClientAdapter-nb6.0.1-src.zip
BuildRequires:	java-rpmbuild >= 1.6
BuildRequires:  ant
BuildRequires:  ant-nodeps
BuildRequires:  ant-junit
BuildRequires:  java >= 1.6.0
Requires:       java >= 1.6.0
Requires:       subversion >= 1.4.5
Provides:       libnb-svnclientadapter = 6.1
Provides:       netbeans-svnclientadapter = 6.1
BuildArch:      noarch
BuildRoot:       %{_tmppath}/%{name}-%{version}-%{release}-root

%description
SvnClientAdapter is a higher level API (comparing to javahl ...). 
That's why svnClientAdapter is easier to use in many cases.
For example, you can use ISVNClientAdapter  
addToIgnoredPatterns method to add a pattern of files to ignore to a directory.
This is a NetBeans forked version of SvnClientAdapter.

%prep
%{__rm} -fr %{buildroot}
%{__rm} -fr svnClientAdapter-nb6.0.1-src
%setup -n svnClientAdapter-nb6.0.1-src
# remove all binary libs
find . -name "*.jar" -exec %{__rm} -f {} \;

%build
[ -z "$JAVA_HOME" ] && export JAVA_HOME=%{_jvmdir}/java 
ant -verbose

%install
# jar
%{__install} -d -m 755 %{buildroot}%{_javadir}
%{__install} -m 644 build/lib/svnClientAdapter.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar
%{__ln_s} %{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%{_javadir}/*



%changelog
* Fri Aug 15 2008 Jaroslav Tulach <jtulach@mandriva.org> 0:6.1-4mdv2009.0
+ Revision: 272357
- Also providing netbeans-svnclientadapter to satisfy netbeans-ide's dependency
- Also providing netbeans-svnclientadapter to satisfy netbeans-ide's dependency

* Wed Aug 13 2008 Jaroslav Tulach <jtulach@mandriva.org> 0:6.1-3mdv2009.0
+ Revision: 271350
- Updating for 6.1

* Sat Jul 26 2008 Thierry Vignaud <tvignaud@mandriva.com> 0:6.0.1-3mdv2009.0
+ Revision: 250299
- rebuild

* Thu Jan 24 2008 Jaroslav Tulach <jtulach@mandriva.org> 0:6.0.1-1mdv2008.1
+ Revision: 157642
- Upgrade to version 6.0.1

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Dec 16 2007 Anssi Hannula <anssi@mandriva.org> 0:6.0-3mdv2008.1
+ Revision: 120971
- buildrequire java-rpmbuild, i.e. build with icedtea on x86(_64)

* Mon Dec 10 2007 Jaroslav Tulach <jtulach@mandriva.org> 0:6.0-2mdv2008.1
+ Revision: 116985
- Using pristine sources from svn repository rev. 3087, plus a modification patch

* Thu Dec 06 2007 Jaroslav Tulach <jtulach@mandriva.org> 0:6.0-1mdv2008.1
+ Revision: 115856
- create libnb-svnClientAdapter

